
Foreman - Bug #5939

Buttons remain hidden when switching tab during compute profile edit on compute resource page

05/27/2014 01:25 PM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee:    

Category: Web Interface   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1101535 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1101535

Description of problem:

When We open a detail of "Compute profile" in "Compute Resource", buttons "Associate VMs", "Edit", "New Image" are hidden. But

buttons still hidden, when we switch tab (ex. "Images").

Version-Release number of selected component (if applicable):

foreman-1.6.0.9-1.el6sat

How reproducible:

100%

Steps to Reproduce:

1. We have got Sat6.0 with some compute resource (in my case EC2)

2. Open detail of our compute resource and click on "Compute profile"

3. Open detail of some "Compute profile" (in my case 1-small)

4. We can see, that buttons are hidden. (I think, better choice would be disabled of them)

5. Click on another tab (ex. "Images"). Buttons are still hidden !!!

6. We have to click back on "Compute profile" and close a detail (using a small gray icon X on right side of window).

Actual results:

This is not very intuitive.

Expected results:

I think, We have two ways of solutions:

1. We can use popup modal window (when we open detail of "Compute profile", all others parts of page will be disabled / gray)

2. Buttons are still displayed (may be some of them disabled). When we click on another tab, detail of "Compute profile" would be

closed.

Additional info:

Associated revisions

Revision e8015ce0 - 06/25/2014 09:26 AM - Dmitri Dolguikh 

fixes #5939: it's no longer possible to switch tabs when compute profile is being edited.

History

#1 - 05/27/2014 01:27 PM - Dominic Cleal

- Category set to Web Interface

- Priority changed from Normal to Low

Make sure you go via the compute resource detail page to see this bug.  Compare when you press the X on the compute profile edit versus when you

change tabs.

#2 - 06/04/2014 01:54 PM - Anonymous

05/11/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1101535


- Status changed from New to Assigned

- Assignee set to Anonymous

#3 - 06/04/2014 03:39 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/1494

#4 - 06/04/2014 04:20 PM - Dominic Cleal

- Target version set to 1.8.2

#5 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#6 - 06/25/2014 08:11 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#7 - 06/25/2014 10:34 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e8015ce01fb04e66434b02e2d117ed6f97bd8bcb.
